### Class

# EBackend UserPrompter

since: 3.8

#### Description [src]

    class EBackend.UserPrompter : GObject.Object
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.8

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### e_user_prompter_new

Creates a new instance of `EUserPrompter`.

since: 3.8

#### Instance methods

###### e_user_prompter_extension_prompt

Asynchronously prompt a user for a decision on an extension-provided dialog. The caller usually provides an extension for `EUserPrompterServer`, a descendant of `EUserPrompterServerExtension`, which registers itself as a dialog provider. The extension defines `dialog_name`, same as meaning of `in_parameters`; only the extension and the caller know about meaning of these.

since: 3.8

###### e_user_prompter_extension_prompt_finish

Finishes the operation started with e_user_prompter_extension_prompt(). Caller can provide `out_values` to get additional values provided by the extension. In case the caller is not interested in additional values, it can pass `NULL` `out_values`. The `out_values` will be cleared first, then any values will be added there. Only the caller and the extension know about meaning of the result code and additional values.

since: 3.8

###### e_user_prompter_extension_prompt_sync

Synchronously prompt a user for a decision on an extension-provided dialog. The caller usually provides an extension for `EUserPrompterServer`, a descendant of `EUserPrompterServerExtension`, which registers itself as a dialog provider. The extension defines `dialog_name`, same as meaning of `in_parameters`; only the extension and the caller know about meaning of these.

since: 3.8

###### e_user_prompter_prompt

Asynchronously prompt a user for a decision.

since: 3.8

###### e_user_prompter_prompt_finish

Finishes the operation started with e_user_prompter_prompt().

since: 3.8

###### e_user_prompter_prompt_sync

Prompts a user for a decision.

since: 3.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EBackendUserPrompterClass {
      GObjectClass parent;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.